Page MenuHomePhabricator

[GVN,NewGVN] Move patchReplacementInstruction to Utils/Local.h
ClosedPublic

Authored by fhahn on May 24 2018, 10:43 AM.

Details

Summary

This function is shared between both implementations. I am not sure if
Utils/Local.h is the best place though.

Diff Detail

Repository
rL LLVM

Event Timeline

fhahn created this revision.May 24 2018, 10:43 AM
fhahn updated this revision to Diff 149937.Jun 5 2018, 4:36 AM

rebased after Local.h got moved.

xbolva00 accepted this revision.Aug 6 2018, 12:19 AM
xbolva00 added a subscriber: xbolva00.

Nice refactor!

This revision is now accepted and ready to land.Aug 6 2018, 12:19 AM
This revision was automatically updated to reflect the committed changes.